Bug 9440 - update Koha's LICENSE file from GPL2 to GPL3
Summary: update Koha's LICENSE file from GPL2 to GPL3
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Documentation (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Mason James
QA Contact: Katrin Fischer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-22 09:47 UTC by Mason James
Modified: 2014-05-26 21:04 UTC (History)
2 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: String patch
Text to go in the release notes:
Version(s) released in:


Attachments
update Koha's LICENSE file from GPL2 to GPL3 (52.00 KB, patch)
2013-01-22 09:48 UTC, Mason James
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 9440 - update Koha's LICENSE file from GPL2 to GPL3 (52.23 KB, patch)
2013-02-05 20:36 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 9440 - update Koha's LICENSE file from GPL2 to GPL3 (52.23 KB, patch)
2013-02-12 07:39 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Mason James 2013-01-22 09:47:22 UTC
update Koha's LICENSE file from GPL2 to GPL3
Comment 1 Mason James 2013-01-22 09:48:31 UTC Comment hidden (obsolete)
Comment 2 Owen Leonard 2013-02-05 20:36:31 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2013-02-12 07:39:58 UTC
Created attachment 15268 [details] [review]
Bug 9440 - update Koha's LICENSE file from GPL2 to GPL3

http://bugs.koha-community.org/show_bug.cgi?id=9440

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

I'm not sure what the correct test plan for this is, but a diff
of LICENSE in Koha after applying the patch and the file at
http://www.gnu.org/licenses/gpl-3.0.txt shows no differences.

Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
Comment 4 Katrin Fischer 2013-02-12 07:42:55 UTC
Changes look good to me, but I think we probably need to also update the About page and probably other places as well?

cgi-bin/koha/about.pl states:

Koha

Koha is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.
Comment 5 Jared Camins-Esakov 2013-02-12 13:52:33 UTC
This patch has been pushed to master.